export declare class EclBreadcrumbItem {
    el: HTMLElement;
    theme: string;
    styleClass: string;
    path: string;
    currentPage: boolean;
    ellipsis: boolean;
    buttonAriaLabel: string;
    componentWillLoad(): void;
    getClass(): string;
    getLinkClass(): string;
    getLiAttrs(): {
        'data-ecl-breadcrumb-item': string;
    };
    render(): any;
}
